Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::State Class Reference

States are described by number of incoming and outgoing edges. More...

`#include <extensional.hh>`

## Public Member Functions

void | init (void)

## Public Attributes

Degree | i_deg
| The in-degree (number of incoming edges).
Degree | o_deg
| The out-degree (number of outgoing edges) Initialize with zeroes.

## Detailed Description

template<class View, class Val, class Degree, class StateIdx>
class Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::State

States are described by number of incoming and outgoing edges.

Definition at line 70 of file extensional.hh.

## Member Function Documentation

## init()

template<class View, class Val, class Degree, class StateIdx>

void Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::State::init | ( | void |  | ) |

inline

Definition at line 78 of file layered-graph.hpp.

## Member Data Documentation

## i_deg

template<class View, class Val, class Degree, class StateIdx>

Degree Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::State::i_deg

The in-degree (number of incoming edges).

Definition at line 72 of file extensional.hh.

## o_deg

template<class View, class Val, class Degree, class StateIdx>

Degree Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::State::o_deg

The out-degree (number of outgoing edges) Initialize with zeroes.

Definition at line 73 of file extensional.hh.

The documentation for this class was generated from the following files:

- gecode/int/extensional.hh
- gecode/int/extensional/layered-graph.hpp